// global data structure for todo list
var todos = [];
var complete = [];

function drawTodoList()
{
    document.getElementById("todos").innerHTML = "";

    // draw the new todo list
    document.getElementById("todos").innerHTML += "<ul>";
    
    for(var i = 0; i < todos.length; i++)
    {
        var checkbox_string = "<button onclick=\"toggleCompleteStatus(" + i + ")\" />Toggle</button>";
        
        if (complete[i])
        document.getElementById("todos").innerHTML += "<li>" + "<del>" + checkbox_string + todos[i] + "</del>" + "</li>";
        else
        document.getElementById("todos").innerHTML += "<li>" + checkbox_string + todos[i] + "</li>";
    }
    
    document.getElementById("todos").innerHTML += "</ul>";
    
    // clear input box
    document.getElementById("new_todo_description").value = "";
}

function addTodo()
{
    // get the new todo's description and add it to the array
    var new_todo = document.getElementById("new_todo_description").value;
    todos.push(new_todo);
    complete.push(0);
    
    drawTodoList();
}

// marks the "i"th todo as complete, and re-draws the list
function toggleCompleteStatus(i)
{  
    complete[i] = !complete[i];
    drawTodoList();
}
