// global data structure for todo list
var todos = [];

function drawTodoList()
{
    $("#todos").html("");

    // draw the new todo list
    $("#todos").append("<ul>");
    
    jQuery.each(todos, function(i, v) {
        var checkbox_string = "<button onclick=\"toggleCompleteStatus(" + i + ")\" />Toggle</button>";
        
        if (v.complete)
        $("#todos").append("<li>" + "<del>" + checkbox_string + v.todo + "</del>" + "</li>");
        else
        $("#todos").append("<li>" + checkbox_string + v.todo + "</li>");
    });
    
    $("#todos").append("</ul>");
    
    // clear input box
    $("#new_todo_description").val("");
}

function addTodo()
{
    // get the new todo's description and add it to the array
    var new_todo = document.getElementById("new_todo_description").value;
    todos.push({todo: new_todo, complete: 0});
    
    drawTodoList();
}

// marks the "i"th todo as complete, and re-draws the list
function toggleCompleteStatus(i)
{  
    todos[i].complete = !todos[i].complete;
    drawTodoList();
}
